Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class FileLogger

    java.lang.Object
      php.java.bridge.FileLogger

All Implemented Interfaces:
  ILogger

    public class FileLogger

extends java.lang.Object
implements ILogger

The classic PHP/Java Bridge logger, doesn't need any external libraries.

Constructor Summary
`FileLogger()`

Method Summary
`void` | `log(int level, java.lang.String msg)` Log a message.
`void` | `log(java.lang.String s)` Log a message
`java.lang.String` | `now()` Create a String containing the current date/time.
`void` | `printStackTrace(java.lang.Throwable t)` Log a stack trace
`java.lang.String` | `toString()`
`void` | `warn(java.lang.String msg)` Display a warning if logLevel >= 1

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileLogger

    public FileLogger()

Method Detail

### now

    public java.lang.String now()

  Create a String containing the current date/time.

  Returns:
    The date/time as a String

### log

    public void log(java.lang.String s)

  Log a message

  Parameters:
    `s` - The message

### printStackTrace

    public void printStackTrace(java.lang.Throwable t)

  Description copied from interface: `ILogger`
  Log a stack trace

  Specified by:
    `printStackTrace` in interface `ILogger`
  Parameters:
    `t` - The Throwable

### log

    public void log(int level,
                    java.lang.String msg)

  Description copied from interface: `ILogger`
  Log a message.

  Specified by:
    `log` in interface `ILogger`
  Parameters:
    `level` - The log level 0: FATAL, 1:ERROR, 2: INFO, 3: DEBUG
    `msg` - The message

### warn

    public void warn(java.lang.String msg)

  Description copied from interface: `ILogger`
  Display a warning if logLevel >= 1

  Specified by:
    `warn` in interface `ILogger`
  Parameters:
    `msg` - The warn message

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD